Earthquakes near a point

Earthquakes within a radius of a latitude/longitude in the last N days, with distance.

Request

GEThttps://earthquakes.p.apihiver.com/v1/nearby?coords=35.68%2C139.69&limit=3
*
String. 'lat,lon'.
Number. Search radius in kilometres (0–5000, default 300).
Number. How many days back to search (1–365, default 30).
Number. Minimum magnitude (0–10, default 2.5).
Number. Maximum number of results (1–500, default 50).
Language
Client
1curl --request GET \
2  --url 'https://earthquakes.p.apihiver.com/v1/nearby?coords=35.68%2C139.69&radius_km=%7Bradius_km%7D&days=%7Bdays%7D&min_magnitude=%7Bmin_magnitude%7D&limit=3' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Earthquakes near a point: Earthquake API reference

Earthquakes within a radius of a latitude/longitude in the last N days, with distance. This endpoint is part of the Earthquake API: Real-time earthquakes worldwide from the USGS: recent quakes, quakes near a location, historical search and event details.

Example response (200, application/json)

Success.

1{
2  "days": 30,
3  "count": 3,
4  "center": {
5    "lat": 35.68,
6    "lon": 139.69
7  },
8  "source": "USGS",
9  "radius_km": 300,
10  "earthquakes": [
11    {
12      "id": "us6000txjc",
13      "lat": 37.4587,
14      "lon": 138.7057,
15      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us6000txjc",
16      "time": "2026-09-25T07:18:22.822000+00:00",
17      "place": "8 km ENE of Kariwa, Japan",
18      "depth_km": 165.7,
19      "magnitude": 4.1,
20      "alert_level": null,
21      "felt_reports": null,
22      "tsunami_warning": false
23    },
24    {
25      "id": "us7000tj1b",
26      "lat": 37.5254,
27      "lon": 142.0357,
28      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us7000tj1b",
29      "time": "2026-09-21T22:29:59.302000+00:00",
30      "place": "91 km E of Namie, Japan",
31      "depth_km": 35,
32      "magnitude": 4.5,
33      "alert_level": null,
34      "felt_reports": null,
35      "tsunami_warning": false
36    },
37    {
38      "id": "us7000tirt",
39      "lat": 33.9889,
40      "lon": 137.3197,
41      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us7000tirt",
42      "time": "2026-09-20T13:54:56.985000+00:00",
43      "place": "58 km SE of Shima, Japan",
44      "depth_km": 357.877,
45      "magnitude": 4.7,
46      "alert_level": null,
47      "felt_reports": null,
48      "tsunami_warning": false
49    }
50  ]
51}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "coords: Field required"
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.